#!/bin/bash 

CHEMINMANAGER=manager
CHEMINWEB=produc
dbuser=root
dbpw=XXXXXXXX

cd /${CHEMINMANAGER}/waterbear

/usr/bin/mysql --user=$dbuser --password=$dbpw --skip-column-names < isbn.sql > isbn.txt

/usr/bin/awk -f isbn.awk isbn.txt > trav1.lis
/usr/bin/sed -e "s/ //g" trav1.lis > trav2.lis
/usr/bin/sort -u < trav2.lis > isbn.lis
/usr/bin/rm -f trav1.lis
/usr/bin/rm -f trav2.lis
/usr/bin/rm -f isbn.log

for ligne in $(/usr/bin/cat isbn.lis)
do
 /usr/bin/echo $ligne
 var1=`/usr/bin/echo $ligne | /usr/bin/cut -c4-12 `
 var2=`/usr/bin/echo $var1 | /usr/bin/rev `

 somme=0
 for ((i=0;i<9;i++))
 do
  var3="${var2:$i:1}"
  let "somme=$somme+$var3*($i+2)"
 done
 let "mod1=11-($somme%11)"
 let "mod2=$mod1%11"
 if [ "$mod2" -eq "10" ]; then
  mod2="X"
 fi
 isbn10=${var1}${mod2}
 
 if [ ! -s image10/${isbn10}M.jpg ] && [ ! -s inconnu/${isbn10}M.jpg ];then
  /usr/bin/echo $isbn10 Medium
  URL="http://ec1.images-amazon.com/images/P/"$isbn10".08._AA240_SCLZZZZZZZ_.jpg"
  /usr/bin/wget -q $URL
  var1=`/usr/bin/wc -c ${isbn10}.08._AA240_SCLZZZZZZZ_.jpg | /usr/bin/cut -d " " -f1`
  if [ "$var1" -eq "43" ]; then
   /usr/bin/rm -f ${isbn10}.08._AA240_SCLZZZZZZZ_.jpg
   /usr/bin/echo -e ${ligne} '\t' ${isbn10} >> isbn.log
   /usr/bin/cp -f videM.jpg inconnu/${isbn10}M.jpg
  elif [ "$var1" -eq "8294" ]; then
   /usr/bin/mv -f ${isbn10}.08._AA240_SCLZZZZZZZ_.jpg autre10/${isbn10}M.jpg
   /usr/bin/cp -f videM.jpg inconnu/${isbn10}M.jpg
  else
   /usr/bin/cp -f ${isbn10}.08._AA240_SCLZZZZZZZ_.jpg new/${isbn10}M.jpg
   /usr/bin/mv -f ${isbn10}.08._AA240_SCLZZZZZZZ_.jpg image10/${isbn10}M.jpg
   if [ -s inconnu/${isbn10}M.jpg ];then
    /usr/bin/rm -f inconnu/${isbn10}M.jpg
   fi
  fi
  /usr/bin/sleep 1
 fi
 
 if [ ! -s image10/${isbn10}S.jpg ] && [ ! -s inconnu/${isbn10}S.jpg ];then
  /usr/bin/echo $isbn10 Small
  URL="http://ec1.images-amazon.com/images/P/"$isbn10".08._SCTHUMBZZZ_.jpg"
  /usr/bin/wget -q $URL
  var1=`/usr/bin/wc -c ${isbn10}.08._SCTHUMBZZZ_.jpg | /usr/bin/cut -d " " -f1`
  if [ "$var1" -eq "43" ]; then
   /usr/bin/rm -f ${isbn10}.08._SCTHUMBZZZ_.jpg
   /usr/bin/cp -f videS.jpg inconnu/${isbn10}S.jpg
  elif [ "$var1" -eq "1756" ]; then
   /usr/bin/mv -f ${isbn10}.08._SCTHUMBZZZ_.jpg autre10/${isbn10}S.jpg
   /usr/bin/cp -f videS.jpg inconnu/${isbn10}S.jpg
  else
   /usr/bin/cp -f ${isbn10}.08._SCTHUMBZZZ_.jpg new/${isbn10}S.jpg
   /usr/bin/mv -f ${isbn10}.08._SCTHUMBZZZ_.jpg image10/${isbn10}S.jpg
   if [ -s inconnu/${isbn10}S.jpg ];then
    /usr/bin/rm -f inconnu/${isbn10}S.jpg
   fi
  fi
  /usr/bin/sleep 1
 fi
done

var2=`/usr/bin/ls new/ | /usr/bin/wc -l `
if [ "$var2" -gt "0" ]; then
 /usr/bin/mv new/*.jpg /${CHEMINWEB}/waterbear/IMG/image10/
fi

/usr/bin/chmod -R 777 /${CHEMINWEB}/waterbear/IMG/image10
/usr/bin/chown -R apache:apache /${CHEMINWEB}/waterbear/IMG/image10
